using System.ServiceModel;
using System.ServiceModel.Web;
using System.Xml.Linq;

namespace SilverTwitMSDNWS
{
    [ServiceContract(Namespace = "http://www.silverlight-data.com")]
    public interface ITwitterRESTService
    {
        [OperationContract]
        [WebGet(UriTemplate = "Tweet/{username}/{tweetType}/?pw={password}", ResponseFormat = WebMessageFormat.Xml)]
        XElement FindTweets(string username, string tweetType, string password);

        [OperationContract]
        [WebGet(UriTemplate = "Tweet", ResponseFormat = WebMessageFormat.Xml)]
        XElement FindPublicTweets();

        [OperationContract]
        [WebInvoke(UriTemplate = "Tweet/{username}/?pw={password}", RequestFormat = WebMessageFormat.Xml, Method = "POST")]
        void AddTweet(string username, string password, TweetStatus newTweetStatus);
    }
}