using System.ServiceModel;

namespace SilverTwitWS
{
    [ServiceContract(Namespace = "http://www.silverlight2data.com")]
    public interface ITwitterService
    {
        [OperationContract]
        string FindTweets(string username, string password);

        [OperationContract]
        string FindPublicTweets();

        [OperationContract]
        string FindArchivedTweets(string username, string password);

        [OperationContract]
        string FindReplies(string username, string password);

        [OperationContract]
        string FindDirectMessages(string username, string password);

        [OperationContract]
        string FindFavorites(string username, string password);

        [OperationContract]
        string PostStatusUpdate(string message, string username, string password);

        [OperationContract]
        string PostCreateTinyUrl(string longUrl);

        [OperationContract]
        bool AuthenticateUser(string username, string password);
    }
}