using System;
using System.Runtime.Serialization;

namespace SilverTwitMSDNWS
{
    [DataContract(Name = "TweetStatus", Namespace = "")]
    public class TweetStatus
    {
        [DataMember]
        public int TwitterId { get; set; }
        [DataMember]
        public DateTime CreatedAt { get; set; }
        [DataMember]
        public string Text { get; set; }
        [DataMember]
        public string SourceUrl { get; set; }
        [DataMember]
        public string Source { get; set; }
        [DataMember]
        public bool Truncated { get; set; }
        [DataMember]
        public string InReplyToStatusId { get; set; }
        [DataMember]
        public string InReplyToUserId { get; set; }
        [DataMember]
        public bool Favorited { get; set; }
        public User User { get; set; }
    }
}